Create security deployment

  • POST /platform/configuration/security/deployment
Auth

Creates a new security deployment configuration.

Request body

The deployment request

name string

The name of the security deployment cluster

version string

The version of the Elasticsearch cluster

topology object

The cluster topology for the Elasticsearch security deployment.

size object

Measured by the amount of a resource. The final cluster size is calculated using multipliers from the topology instance configuration.

value integer · format: int32 required

Amount of resource

resource enum required

Type of resource. In ESS the resource used should always be memory.

Values: memory storage
zone_count integer · format: int32

The number of zones in which data nodes will be placed

Responses

The security deployment was successfully created

application/json
id string required

The ID

Response headers

x-cloud-resource-version string

The resource version, which is used to avoid update conflicts with concurrent operations

x-cloud-resource-created string

The date-time when the resource was created (ISO format relative to UTC)

x-cloud-resource-last-modified string

The date-time when the resource was last modified (ISO format relative to UTC)

  • There is a version conflict. (code: security_deployment.version_conflict)
  • There is a version conflict. (code: security_deployment.already_exists)
application/json
errors object[] required

A list of errors that occurred in the failing request

code string required

A structured code representing the error type that occurred

message string required

A human readable message describing the error that occurred

fields string[]

If the error can be tied to a specific field or fields in the user request, this lists those fields

Response headers

x-cloud-error-codes enum

The error codes associated with the response